Index: branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 761)
+++ branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 764)
@@ -2550,9 +2550,5 @@
     }
 #if H_3D_IC
-#if SEC_ONLY_TEXTURE_IC_F0151
     else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth())
-#else
-    else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) )
-#endif
     {
       UInt uiCodeTmp = 0;
Index: branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 761)
+++ branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecCu.cpp	(revision 764)
@@ -390,5 +390,4 @@
     UInt uiMergeIndex = pcCU->getMergeIndex(uiAbsPartIdx);
 
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
     m_pcEntropyDecoder->decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
@@ -396,5 +395,4 @@
 #if H_3D_ARP
     m_pcEntropyDecoder->decodeARPW( pcCU , uiAbsPartIdx , uiDepth );
-#endif
 #endif
 
@@ -411,5 +409,4 @@
     puhInterDirSP = new UChar[pcCU->getPic()->getPicSym()->getNumPartition()]; 
 #endif
-#if ETRIKHU_MERGE_REUSE_F0093
     m_ppcCU[uiDepth]->initAvailableFlags();
     m_ppcCU[uiDepth]->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
@@ -419,10 +416,7 @@
 #endif
       , numValidMergeCand, uiMergeIndex );
-#else
-    m_ppcCU[uiDepth]->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, numValidMergeCand, uiMergeIndex );
-#endif
     pcCU->setVSPFlagSubParts( vspFlag[uiMergeIndex], uiAbsPartIdx, 0, uiDepth );
 #else
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
     m_ppcCU[uiDepth]->initAvailableFlags();
     m_ppcCU[uiDepth]->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
@@ -496,12 +490,4 @@
 #endif
 #endif
-#if !LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-    m_pcEntropyDecoder->decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
-#if H_3D_ARP
-    m_pcEntropyDecoder->decodeARPW( pcCU , uiAbsPartIdx , uiDepth );
-#endif
-#endif
 
     xFinishDecodeCU( pcCU, uiAbsPartIdx, uiDepth, ruiIsLast );
@@ -534,12 +520,4 @@
   // prediction mode ( Intra : direction mode, Inter : Mv, reference idx )
   m_pcEntropyDecoder->decodePredInfo( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth]);
-#if !LGE_SHARP_VSP_INHERIT_F0104
-#if H_3D_IC
-  m_pcEntropyDecoder->decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
-#endif
-#if H_3D_ARP
-  m_pcEntropyDecoder->decodeARPW    ( pcCU , uiAbsPartIdx , uiDepth );  
-#endif  
-#endif
 #if H_3D_INTER_SDC
   m_pcEntropyDecoder->decodeInterSDCFlag( pcCU, uiAbsPartIdx, uiDepth );
@@ -780,5 +758,5 @@
     for( UInt uiX = 0; uiX < uiWidth; uiX++ )
     {
-#if LGE_PRED_RES_CODING_DLT_DOMAIN_F0159
+#if H_3D
 #if DLT_DIFF_CODING_IN_PPS
       if( (isDimMode( uiLumaPredMode ) || uiLumaPredMode == HOR_IDX || uiLumaPredMode == VER_IDX || uiLumaPredMode == DC_IDX) && pcCU->getSlice()->getIsDepth() && pcCU->getSlice()->getPPS()->getDLT()->getUseDLTFlag(pcCU->getSlice()->getLayerIdInVps()) )
@@ -797,6 +775,4 @@
       pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
         }
-#else
-      pReco    [ uiX ] = ClipY( pPred[ uiX ] + pResi[ uiX ] );
 #endif
       pRecIPred[ uiX ] = pReco[ uiX ];
Index: branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 761)
+++ branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 764)
@@ -111,9 +111,5 @@
   pcCU->setICFlagSubParts( false , uiAbsPartIdx, 0, uiDepth );
 
-#if SEC_ONLY_TEXTURE_IC_F0151
   if ( pcCU->isIntra( uiAbsPartIdx ) || ( pcCU->getSlice()->getViewIndex() == 0 ) || pcCU->getSlice()->getIsDepth() )
-#else
-  if ( pcCU->isIntra( uiAbsPartIdx ) || ( pcCU->getSlice()->getViewIndex() == 0 ) )
-#endif
   {
     return;
@@ -245,5 +241,4 @@
       decodeMergeIndex( pcCU, uiPartIdx, uiSubPartIdx, uiDepth );
       UInt uiMergeIndex = pcCU->getMergeIndex(uiSubPartIdx);
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
@@ -251,5 +246,4 @@
 #if H_3D_ARP
       decodeARPW  ( pcCU, uiAbsPartIdx, uiDepth );
-#endif
 #endif
       if ( pcCU->getSlice()->getPPS()->getLog2ParallelMergeLevelMinus2() && ePartSize != SIZE_2Nx2N && pcSubCU->getWidth( 0 ) <= 8 ) 
@@ -265,5 +259,4 @@
           memset(bSPIVMPFlag, false, sizeof(Bool)*MRG_MAX_NUM_CANDS_MEM);
 #endif
-#if ETRIKHU_MERGE_REUSE_F0093
           pcSubCU->initAvailableFlags();
           pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
@@ -273,7 +266,4 @@
 #endif
             , numValidMergeCand );
-#else
-          pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, vspFlag, inheritedVSPDisInfo, numValidMergeCand );
-#endif
           pcCU->setVSPFlagSubParts( vspFlag[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
 
@@ -283,5 +273,5 @@
           }
 #else
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
           pcSubCU->initAvailableFlags();
           pcSubCU->getInterMergeCandidates( 0, 0, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand);
@@ -306,5 +296,4 @@
         memset(bSPIVMPFlag, false, sizeof(Bool)*MRG_MAX_NUM_CANDS_MEM);
 #endif
-#if ETRIKHU_MERGE_REUSE_F0093
         pcSubCU->initAvailableFlags();
         pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
@@ -314,7 +303,4 @@
 #endif
           ,numValidMergeCand, uiMergeIndex );
-#else
-        pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, vspFlag, inheritedVSPDisInfo,numValidMergeCand, uiMergeIndex );
-#endif
         pcCU->setVSPFlagSubParts( vspFlag[uiMergeIndex], uiSubPartIdx, uiPartIdx, uiDepth );
         if(vspFlag[uiMergeIndex])
@@ -323,5 +309,5 @@
         }
 #else
-#if ETRIKHU_MERGE_REUSE_F0093
+#if H_3D
         pcSubCU->initAvailableFlags();
         pcSubCU->getInterMergeCandidates( uiSubPartIdx-uiAbsPartIdx, uiPartIdx, cMvFieldNeighbours, uhInterDirNeighbours, numValidMergeCand, uiMergeIndex );
@@ -381,5 +367,4 @@
         }
       }
-#if LGE_SHARP_VSP_INHERIT_F0104
 #if H_3D_IC
       decodeICFlag( pcCU, uiAbsPartIdx, uiDepth );
@@ -387,5 +372,4 @@
 #if H_3D_ARP
       decodeARPW  ( pcCU, uiAbsPartIdx, uiDepth );
-#endif
 #endif
     }
Index: branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 761)
+++ branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 764)
@@ -89,10 +89,4 @@
 #if H_3D_DIM_DMM
 , m_cDmm1DataSCModel          ( 1,             1,               NUM_DMM1_DATA_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#if !SEC_DMM3_RBC_F0147
-, m_cDmm3DataSCModel          ( 1,             1,               NUM_DMM3_DATA_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
-#endif
-#if H_3D_DIM_RBC
-, m_cRbcDataSCModel           ( 1,             1,               NUM_RBC_DATA_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 #endif
 #if H_3D_DIM_SDC
@@ -178,10 +172,4 @@
 #if H_3D_DIM_DMM
   m_cDmm1DataSCModel.initBuffer          ( sliceType, qp, (UChar*)INIT_DMM1_DATA );
-#if !SEC_DMM3_RBC_F0147
-  m_cDmm3DataSCModel.initBuffer          ( sliceType, qp, (UChar*)INIT_DMM3_DATA );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_cRbcDataSCModel.initBuffer           ( sliceType, qp, (UChar*)INIT_RBC_DATA );
 #endif
 #if H_3D_DIM_SDC
@@ -253,10 +241,4 @@
 #if H_3D_DIM_DMM
   m_cDmm1DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM1_DATA );
-#if !SEC_DMM3_RBC_F0147
-  m_cDmm3DataSCModel.initBuffer          ( eSliceType, iQp, (UChar*)INIT_DMM3_DATA );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  m_cRbcDataSCModel.initBuffer           ( eSliceType, iQp, (UChar*)INIT_RBC_DATA );
 #endif
 #if H_3D_DIM_SDC
@@ -414,5 +396,4 @@
 }
 
-#if QC_DIM_DELTADC_UNIFY_F0132
 Void TDecSbac::xParseDimDeltaDC( Pel& rValDeltaDC, UInt uiNumSeg )
 {
@@ -431,22 +412,5 @@
   }
 }
-#else
-Void TDecSbac::xParseDimDeltaDC( Pel& rValDeltaDC, UInt dimType )
-{
-  UInt absValDeltaDC = 0;
-  xReadExGolombLevel( absValDeltaDC, m_cDdcDataSCModel.get(0, 0, (RBC_IDX == dimType) ? 1 : 0) );
-  rValDeltaDC = (Pel)absValDeltaDC;
-
-  if( rValDeltaDC != 0 )
-  {
-    UInt uiSign;
-    m_pcTDecBinIf->decodeBinEP( uiSign );
-    if ( uiSign )
-    {
-      rValDeltaDC = -rValDeltaDC;
-    }
-  }
-}
-#endif
+
 
 #if H_3D_DIM_DMM
@@ -461,96 +425,6 @@
   ruiTabIdx = uiIdx;
 }
-#if !SEC_DMM3_RBC_F0147
-Void TDecSbac::xParseDmm3WedgeIdx( UInt& ruiIntraIdx, Int iNumBit )
-{
-  UInt uiSymbol, uiIdx = 0;
-  for( Int i = 0; i < iNumBit; i++ )
-  {
-    m_pcTDecBinIf->decodeBin( uiSymbol, m_cDmm3DataSCModel.get(0, 0, 0) );
-    uiIdx += uiSymbol << i;
-  }
-  ruiIntraIdx = uiIdx;
-}
-#endif
-#endif
-#if H_3D_DIM_RBC
-Void TDecSbac::xParseRbcEdge( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
-{
-  UInt uiSymbol = 0;
-
-  // 1. Top(0) or Left(1)
-  UChar ucLeft;
-  m_pcTDecBinIf->decodeBinEP( uiSymbol );
-  ucLeft = uiSymbol;
-
-  // 2. Start position (lowest bit first)
-  UChar ucStart = 0;
-  for( UInt ui = 0; ui < 6 - uiDepth; ui++ )
-  {
-    m_pcTDecBinIf->decodeBinEP( uiSymbol );
-    ucStart |= (uiSymbol << ui);
-  }
-
-  // 3. Number of edges
-  UChar ucMax = 0;
-  for( UInt ui = 0; ui < 7 - uiDepth; ui++ )
-  {
-    m_pcTDecBinIf->decodeBinEP( uiSymbol );
-    ucMax |= (uiSymbol << ui);
-  }
-  ucMax++; // +1
-
-  // 4. Edges
-  UChar* pucSymbolList = (UChar*) xMalloc( UChar, 256 * RBC_MAX_EDGE_NUM_PER_4x4 );
-  for( Int iPtr = 0; iPtr < ucMax; iPtr++ )
-  {
-    UChar ucEdge = 0;
-    UInt  uiReorderEdge = 0;
-    for( UInt ui = 0; ui < 6; ui++ )
-    {
-      m_pcTDecBinIf->decodeBin( uiSymbol, m_cRbcDataSCModel.get( 0, 0, 0 ) );
-      ucEdge <<= 1;
-      ucEdge |= uiSymbol;
-      if( uiSymbol == 0 )
-        break;
-    }
-
-    switch( ucEdge )
-    {
-    case 0 :  // "0"       
-      uiReorderEdge = 0;
-      break;
-    case 2 :  // "10"
-      uiReorderEdge = 1;
-      break;
-    case 6 :  // "110"
-      uiReorderEdge = 2;
-      break;
-    case 14 : // "1110"
-      uiReorderEdge = 3;
-      break;
-    case 30 : // "11110"
-      uiReorderEdge = 4;
-      break;
-    case 62 : // "111110"
-      uiReorderEdge = 5;
-      break;
-    case 63 : // "111111"
-      uiReorderEdge = 6;
-      break;
-    default :
-      printf("parseIntraEdgeChain: error (unknown code %d)\n",ucEdge);
-      assert(false);
-      break;
-    }
-    pucSymbolList[iPtr] = uiReorderEdge;
-  }
-  /////////////////////
-  // Edge Reconstruction
-  Bool* pbRegion = pcCU->getEdgePartition( uiAbsPartIdx );
-  pcCU->reconPartition( uiAbsPartIdx, uiDepth, ucLeft == 1, ucStart, ucMax, pucSymbolList, pbRegion );
-  xFree( pucSymbolList );
-}
-#endif
+#endif
+
 #if H_3D_DIM_SDC
 Void TDecSbac::xParseSDCResidualData ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiSegment )
@@ -1175,99 +1049,48 @@
       pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dimType, absPartIdx, depth );
     } break;
-#if !SEC_DMM3_RBC_F0147
-  case( DMM3_IDX ):
-    {
-      UInt uiIntraIdx = 0;
-      xParseDmm3WedgeIdx( uiIntraIdx, g_dmm3IntraTabIdxBits[pcCU->getIntraSizeIdx(absPartIdx)] );
-      pcCU->setDmm3IntraTabIdxSubParts( uiIntraIdx, absPartIdx, depth );
-    } break;
-#endif
   case( DMM4_IDX ): break;
 #endif
-#if H_3D_DIM_RBC
-  case( RBC_IDX ): 
-    {
-      xParseRbcEdge( pcCU, absPartIdx, depth );
-    } break;
-#endif
   default: break;
   }
 
-#if H_3D_DIM_SDC && !QC_DIM_DELTADC_UNIFY_F0132
-  if( pcCU->getSDCFlag(absPartIdx) )
-  {
-    assert(pcCU->getPartitionSize(absPartIdx)==SIZE_2Nx2N);
-    pcCU->setTrIdxSubParts(0, absPartIdx, depth);
-    pcCU->setCbfSubParts(1, 1, 1, absPartIdx, depth);
-
-    UInt uiNumSegments = ( dir == DC_IDX || dir == PLANAR_IDX )? 1 : 2;
-    for (UInt uiSeg=0; uiSeg<uiNumSegments; uiSeg++)
-    {
-      xParseSDCResidualData(pcCU, absPartIdx, depth, uiSeg);
-    }
-  }
-  else
-  {
-#endif
-#if QC_DIM_DELTADC_UNIFY_F0132
-    if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
-#else
-    if( dimType < DIM_NUM_TYPE )
-#endif
-    {
-      UInt symbol;
-#if QC_DIM_DELTADC_UNIFY_F0132
-      UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
+  if( dimType < DIM_NUM_TYPE || pcCU->getSDCFlag( absPartIdx ) )
+  {
+    UInt symbol;
+    UInt uiNumSegments = ( dir == PLANAR_IDX ) ? 1 : 2;
+
+    if( pcCU->getSDCFlag( absPartIdx ) )
+    {
+      assert(pcCU->getPartitionSize(absPartIdx)==SIZE_2Nx2N);
+      pcCU->setTrIdxSubParts(0, absPartIdx, depth);
+      pcCU->setCbfSubParts(1, 1, 1, absPartIdx, depth);
+    }
+
+    m_pcTDecBinIf->decodeBin( symbol, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
+
+    if( symbol )
+    {
+      if( !pcCU->getSDCFlag( absPartIdx ) )
+      {
+        dir += symbol;
+      }
+    }
+    for( UInt segment = 0; segment < uiNumSegments; segment++ )
+    {
+      Pel valDeltaDC = 0;
+      if( symbol )
+      {
+        xParseDimDeltaDC( valDeltaDC, uiNumSegments );
+      }
 
       if( pcCU->getSDCFlag( absPartIdx ) )
       {
-        assert(pcCU->getPartitionSize(absPartIdx)==SIZE_2Nx2N);
-        pcCU->setTrIdxSubParts(0, absPartIdx, depth);
-        pcCU->setCbfSubParts(1, 1, 1, absPartIdx, depth);
-      }
-
-      m_pcTDecBinIf->decodeBin( symbol, m_cDdcFlagSCModel.get(0, 0, uiNumSegments-1) );
-
-      if( symbol )
-      {
-        if( !pcCU->getSDCFlag( absPartIdx ) )
-        {
-          dir += symbol;
-        }
-      }
-      for( UInt segment = 0; segment < uiNumSegments; segment++ )
-      {
-        Pel valDeltaDC = 0;
-        if( symbol )
-        {
-          xParseDimDeltaDC( valDeltaDC, uiNumSegments );
-        }
-
-        if( pcCU->getSDCFlag( absPartIdx ) )
-        {
-          pcCU->setSDCSegmentDCOffset( valDeltaDC, segment, absPartIdx );
-        }
-        else
-        {
-          pcCU->setDimDeltaDC( dimType, segment, absPartIdx, valDeltaDC );
-        }
-      }
-#else
-      m_pcTDecBinIf->decodeBin( symbol, m_cDdcFlagSCModel.get(0, 0, (RBC_IDX == dimType) ? 1 : 0) );
-      if( symbol )
-      {
-        dir += symbol;
-        for( UInt segment = 0; segment < 2; segment++ )
-        {
-          Pel valDeltaDC = 0;
-          xParseDimDeltaDC( valDeltaDC, dimType );
-          pcCU->setDimDeltaDC( dimType, segment, absPartIdx, valDeltaDC );
-        }
-      }
-#endif
-    }
-#if H_3D_DIM_SDC && !QC_DIM_DELTADC_UNIFY_F0132
-  }
-#endif
+        pcCU->setSDCSegmentDCOffset( valDeltaDC, segment, absPartIdx );
+      }
+      else
+      {
+        pcCU->setDimDeltaDC( dimType, segment, absPartIdx, valDeltaDC );
+      }
+    }
+  }
 
   pcCU->setLumaIntraDirSubParts( (UChar)dir, absPartIdx, depth );
@@ -1297,9 +1120,5 @@
   else if( puIdx == 0 )
   {
-#if SEC_DMM3_RBC_F0147
     while( binNum < 1 && symbol )
-#else
-    while( binNum < 3 && symbol )
-#endif
     {
       ctxDepthMode = puIdx*3 + ((binNum >= 2) ? 2 : binNum);
@@ -1308,17 +1127,17 @@
       binNum++;
     }
-#if SEC_DMM3_RBC_F0147
-    if( modeCode == 0 ) { dir = 0;                       sdcFlag = 0;}
-    else if( modeCode == 1 ) { dir = (2*DMM1_IDX+DIM_OFFSET); sdcFlag = 0;}
-#else
-         if( modeCode == 0 ) { dir = 0;                       sdcFlag = 0;}
-    else if( modeCode == 2 ) { dir = (2*DMM1_IDX+DIM_OFFSET); sdcFlag = 0;}
-    else if( modeCode == 6 ) { dir = (2*DMM3_IDX+DIM_OFFSET); sdcFlag = 0;}
-    else if( modeCode == 7 ) { dir = (2* RBC_IDX+DIM_OFFSET); sdcFlag = 0;}
-#endif
+    if( modeCode == 0 ) 
+    { 
+      dir = 0;
+      sdcFlag = 0;
+    }
+    else if ( modeCode == 1 ) 
+    { 
+      dir = (2*DMM1_IDX+DIM_OFFSET); 
+      sdcFlag = 0;
+    }
   }
   else
   {
-#if SEC_DMM3_RBC_F0147
     while( binNum < 4 && symbol )
     {
@@ -1333,37 +1152,5 @@
     else if ( modeCode == 14 )  { dir = (2*DMM1_IDX+DIM_OFFSET); sdcFlag = 0;}
     else if ( modeCode == 15 )  { dir = (2*DMM4_IDX+DIM_OFFSET); sdcFlag = 0;}
-#else
-    UInt maxBinNum = 0;
-    m_pcTDecBinIf->decodeBinEP(symbol);
-    if( symbol == 1 )
-    {
-      maxBinNum = 3;
-    }
-    else
-    {
-      maxBinNum = 2;
-      symbol = 1;
-    }
-    while( binNum<maxBinNum && symbol )
-    {
-      ctxDepthMode = puIdx*3 + ( binNum >= 2 ? 2 : binNum );
-      m_pcTDecBinIf->decodeBin(symbol,m_cDepthIntraModeSCModel.get(0,0,ctxDepthMode));
-      modeCode = (modeCode<<1)+symbol;
-      binNum++;
-    }
-    if( maxBinNum == 3 )
-    {
-      if ( modeCode == 0 )       { dir =  PLANAR_IDX;             sdcFlag = 1;}
-      else if ( modeCode == 2 )  { dir = (2* RBC_IDX+DIM_OFFSET); sdcFlag = 0;}
-      else if ( modeCode == 6 )  { dir = (2*DMM3_IDX+DIM_OFFSET); sdcFlag = 0;}
-      else if ( modeCode == 7 )  { dir = (2*DMM1_IDX+DIM_OFFSET); sdcFlag = 0;}
-    }
-    else
-    {
-      if ( modeCode == 0 )       { dir = 5;                       sdcFlag = 0;}
-      else if ( modeCode == 2 )  { dir = (2*DMM1_IDX+DIM_OFFSET); sdcFlag = 1;}
-      else if ( modeCode == 3 )  { dir = (2*DMM4_IDX+DIM_OFFSET); sdcFlag = 0;}
-    }
-#endif
+
   }
   pcCU->setLumaIntraDirSubParts( (UChar)dir, absPartIdx, depth );
Index: branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 761)
+++ branches/HTM-9.2-dev0/source/Lib/TLibDecoder/TDecSbac.h	(revision 764)
@@ -103,17 +103,7 @@
 #if H_3D_DIM
   Void  xReadExGolombLevel   ( UInt& ruiSymbol, ContextModel& rcSCModel  );
-#if QC_DIM_DELTADC_UNIFY_F0132
   Void  xParseDimDeltaDC     ( Pel& rValDeltaDC, UInt uiNumSeg );
-#else
-  Void  xParseDimDeltaDC     ( Pel& rValDeltaDC, UInt dimType );
-#endif
 #if H_3D_DIM_DMM
   Void  xParseDmm1WedgeIdx   ( UInt& ruiTabIdx, Int iNumBit );
-#if !SEC_DMM3_RBC_F0147
-  Void  xParseDmm3WedgeIdx   ( UInt& ruiIntraIdx, Int iNumBit );
-#endif
-#endif
-#if H_3D_DIM_RBC
-  Void  xParseRbcEdge        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
 #endif
 #if H_3D_DIM_SDC
@@ -223,10 +213,4 @@
 #if H_3D_DIM_DMM
   ContextModel3DBuffer m_cDmm1DataSCModel;
-#if !SEC_DMM3_RBC_F0147
-  ContextModel3DBuffer m_cDmm3DataSCModel;
-#endif
-#endif
-#if H_3D_DIM_RBC
-  ContextModel3DBuffer m_cRbcDataSCModel;
 #endif
 #if H_3D_DIM_SDC  