Index: branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 764)
+++ branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 765)
@@ -515,5 +515,5 @@
   ("AdvMultiviewResPred",      m_uiUseAdvResPred,           (UInt)1, "Usage of Advanced Residual Prediction" )
 #endif
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   ("SubPULog2Size", m_iSubPULog2Size, (Int)3, "Sub-PU size index: 2^n")
 #endif
@@ -525,5 +525,5 @@
   ("InterSDC",                 m_bDepthInterSDCFlag,        true, "Enable depth inter SDC")
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
   ("MPI",                      m_bMPIFlag,        true, "Enable MPI")
 #endif
@@ -780,9 +780,5 @@
 #endif
 #if H_3D_IV_MERGE
-#if QC_DEPTH_IV_MRG_F0125  
   ("IvMvPred",                        m_ivMvPredFlag            , std::vector<Bool>(2, true)            , "inter view motion prediction " )
-#else
-  ("IvMvPred",                        m_ivMvPredFlag,           true            , "inter view motion prediction " )  
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -1537,5 +1533,5 @@
   xConfirmPara( ( 0 != m_uiUseAdvResPred ) &&  ( 1 != m_uiUseAdvResPred ), "UseAdvResPred must be 0 or 1." );
 #endif
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   xConfirmPara( m_iSubPULog2Size < 2,                                        "SubPULog2Size must be 2 or greater.");
   xConfirmPara( m_iSubPULog2Size > 6,                                        "SubPULog2Size must be 6 or smaller.");
@@ -2498,10 +2494,6 @@
 #endif
 #if H_3D_IV_MERGE
-#if QC_DEPTH_IV_MRG_F0125
   printf("IvMvPred:%d %d", m_ivMvPredFlag[0] ? 1 : 0, m_ivMvPredFlag[1] ? 1 : 0);
-#else
-  printf("IvMvPred:%d ", m_ivMvPredFlag );
-#endif
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   printf(" SubPULog2Size:%d  " , m_iSubPULog2Size  );
 #endif
@@ -2530,5 +2522,5 @@
   printf( "interSDC: %d ", m_bDepthInterSDCFlag ? 1 : 0 );
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
   printf( "MPI: %d ", m_bMPIFlag ? 1 : 0 );
 #endif
Index: branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 764)
+++ branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 765)
@@ -136,10 +136,6 @@
 
 #if H_3D_IV_MERGE
-#if QC_DEPTH_IV_MRG_F0125
   vector<Bool>           m_ivMvPredFlag;                      ///< Interview motion vector prediction 
-#else
-  Bool                   m_ivMvPredFlag;                      ///< Interview motion vector prediction 
-#endif
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
   Int                    m_iSubPULog2Size;                    
 #endif
@@ -503,5 +499,5 @@
   Bool m_bDepthInterSDCFlag;                                ///< flag for inter SDC of depth map coding
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
   Bool m_bMPIFlag;                                           ///< flag for MPI of depth map coding
 #endif
Index: branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 764)
+++ branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 765)
@@ -160,15 +160,8 @@
     //====== Camera Parameters =========
     m_cTEncTop.setCameraParameters             ( &m_cCameraData );     
-#if QC_DEPTH_IV_MRG_F0125
     m_cTEncTop.setCamParPrecision              ( m_cCameraData.getCamParsCodedPrecision  () );
     m_cTEncTop.setCamParInSliceHeader          ( m_cCameraData.getVaryingCameraParameters() );
     m_cTEncTop.setCodedScale                   ( m_cCameraData.getCodedScale             () );
     m_cTEncTop.setCodedOffset                  ( m_cCameraData.getCodedOffset            () );
-#else
-    m_cTEncTop.setCamParPrecision              ( isDepth ? false : m_cCameraData.getCamParsCodedPrecision  () );
-    m_cTEncTop.setCamParInSliceHeader          ( isDepth ? 0     : m_cCameraData.getVaryingCameraParameters() );
-    m_cTEncTop.setCodedScale                   ( isDepth ? 0     : m_cCameraData.getCodedScale             () );
-    m_cTEncTop.setCodedOffset                  ( isDepth ? 0     : m_cCameraData.getCodedOffset            () );
-#endif
 #if H_3D_VSO
     //====== VSO =========
@@ -194,5 +187,5 @@
     m_cTEncTop.setARPStepNum                   ( ( isDepth || 0==layerIdInVps ) ? 1 : H_3D_ARP_WFNR     );
 #endif
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
     m_cTEncTop.setSubPULog2Size                 (( isDepth || 0==layerIdInVps ) ? 0 : m_iSubPULog2Size   );
 #endif
@@ -214,5 +207,5 @@
     m_cTEncTop.setInterSDCEnable               ( isDepth ? m_bDepthInterSDCFlag    : false );
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
     m_cTEncTop.setUseMPI               ( isDepth ? m_bMPIFlag    : false );
 #endif
@@ -1974,12 +1967,8 @@
     vps.setARPStepNum      ( layer, ( isDepth || isLayerZero ) ? 1 : H_3D_ARP_WFNR     );
 #endif  
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
     if( isDepth )
     {
-#if MTK_F0110_FIX
       vps.setSubPULog2Size         ( layer, (layer != 1) ? 6: 0 ); 
-#else
-      vps.setSubPULog2Size         ( layer, (layer != 1) ? m_iSubPULog2Size: 0 ); 
-#endif
     }
     else
@@ -2007,5 +1996,4 @@
 
 #if H_3D_IV_MERGE
-#if QC_DEPTH_IV_MRG_F0125
     if( isDepth )
     {
@@ -2016,7 +2004,4 @@
       vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
     }
-#else
-    vps.setIvMvPredFlag         ( layer, !isLayerZero && !isDepth && m_ivMvPredFlag ); 
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -2029,5 +2014,5 @@
     vps.setInterSDCFlag( layer, !isLayerZero && isDepth && m_bDepthInterSDCFlag );
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
     vps.setMPIFlag( layer, !isLayerZero && isDepth && m_bMPIFlag );
 #endif